package chapter22;

public class Faculty extends Employee {
    public static void main(String[] args) {
        new Faculty();
    }

    public Faculty() {
        super();
        System.out.println("(3) Faculty's no-arg constructor is invoked");
    }
}

class Employee extends Person {
    public Employee() {
        System.out.println("(2) Employee's no-arg constructor is invoked");
    }
}

class Person {
    public Person() {
        System.out.println("(1) Person's no-arg constructor is invoked");
    }
}
